--Prikazati razlike, po studentima i predmetima, između ocene dobijene na ispitu u odnosu na prvu i poslednju ocenu (u odnosu na datum polaganja) dobijenu na tom ispitu 

select indeks, id_predmeta, ocena as "Ocena studenta", 
       first_value(ocena) over (partition by id_predmeta order by datum_ispita asc) as "Prva ocena",
       last_value(ocena) over (partition by id_predmeta order by datum_ispita asc) as "Poslednja ocena",
       first_value(ocena) over (partition by id_predmeta order by datum_ispita asc) -ocena as "Razlka do prve ocene",
       last_value(ocena) over (partition by id_predmeta order by datum_ispita asc) - ocena as "Razlika do poslednje ocene"
from ispit;


